Subject: bug#43996: 26.3; Please document frame parameter `modeline' in the Elisp manual

From: Drew Adams <[email-masked]>
Date: Thu, 15 Oct 2020 08:18:25 -0700 (PDT)

> Where did you happen onto the modeline frame parameter?

I see it when I invoke function `frame-parameters'.

I don't have it in any of my code.  It must be coming
from Emacs itself.

> Reading the code, it looks like internal bookkeeping, and is always set
> on the C level from f->wants_modeline, which again is only set to false
> in make_minibuffer_frame.

Thanks for that info.  That corresponds to what I
see.  I cannot add a mode-line to a standalone
minibuffer frame, it seems.  See bug #43997 for a
request to be able to do that.

> So it doesn't look like a frame parameter that can be set by the user,
> if I'm reading the code correctly, and therefore shouldn't be documented.

Can't be set, but can be seen.  And you can
_seemingly_ set it.  You get no error or direct
indication that it doesn't get set, when you try
to set it.  So at the very least, its visibility
and apparent setting can mislead/confuse users.
If it were entirely invisible from Lisp, then,
yes, it wouldn't need to be described/explained.

The fact that you can't really set it should
maybe be doc'd.  Or at least the fact that
non-nil means there is a mode-line (or whatever
it really means), and that a standalone
minibuffer frame can't have a mode-line (but
why not?).